using System;

namespace Calculator
{	
	class MainClass
	{		
		public static void Main (string[] args)
		{
			ReversePolishNotationCalculator rpnc = new ReversePolishNotationCalculator();
			rpnc.PushOperand(7.5);
			rpnc.PushOperand(2.5);
			rpnc.PushOperand(2.0);
			rpnc.PushMinusOperator();
			rpnc.PushPlusOperator();
			try
			{
				rpnc.EvaluateStack();
				Console.WriteLine("7.5 + 2.5 - 2.0 = " + rpnc.PeekOperand());
			}
			catch (Exception  e)
			{
				Console.Error.WriteLine(e.Message);
				Console.Error.WriteLine(e.StackTrace);
			}
		}
	}
}
